package cn.com.qmth.stmms.biz.mark.model;

import javax.persistence.Column;
import javax.persistence.EmbeddedId;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * 阅卷轨迹
 *
 * @author luoshi
 */
@Entity
@Table(name = "m_track")
public class MarkTrack {

    @EmbeddedId
    private MarkTrackPK pk;

    @Column(name = "student_id", nullable = false)
    private Integer studentId;

    @Column(name = "exam_id", nullable = false)
    private Integer examId;

    @Column(name = "subject_code", nullable = false)
    private String subjectCode;

    @Column(name = "group_number", nullable = false)
    private Integer groupNumber;

    @Column(name = "marker_id", nullable = false)
    private Integer markerId;

    /**
     * 轨迹分数
     */
    @Column(name = "score", nullable = false)
    private Double score;

    /**
     * X轴相对位置，0~1
     */
    @Column(name = "position_x", nullable = false)
    private Double positionX;

    /**
     * Y轴相对位置，0~1
     */
    @Column(name = "position_y", nullable = false)
    private Double positionY;

    /**
     * 所在裁切图序号
     */
    @Column(name = "offset_index", nullable = false)
    private Integer offsetIndex;

    /**
     * 相对裁切图X轴坐标
     */
    @Column(name = "offset_x", nullable = false)
    private Integer offsetX;

    /**
     * 相对裁切图Y轴坐标
     */
    @Column(name = "offset_y", nullable = false)
    private Integer offsetY;

    /**
     * 是否未作答
     */
    @Column(name = "unanswered", nullable = false)
    private boolean unanswered;

    public MarkTrack() {
        this.pk = new MarkTrackPK();
    }

    public Integer getLibraryId() {
        return pk.getLibraryId();
    }

    public void setLibraryId(Integer libraryId) {
        pk.setLibraryId(libraryId);
    }

    public String getQuestionNumber() {
        return pk.getQuestionNumber();
    }

    public void setQuestionNumber(String questionNumber) {
        pk.setQuestionNumber(questionNumber);
    }

    public Integer getNumber() {
        return pk.getNumber();
    }

    public void setNumber(Integer number) {
        pk.setNumber(number);
    }

    public Double getScore() {
        return score;
    }

    public void setScore(Double score) {
        this.score = score;
    }

    public Double getPositionX() {
        return positionX;
    }

    public void setPositionX(Double positionX) {
        this.positionX = positionX;
    }

    public Double getPositionY() {
        return positionY;
    }

    public void setPositionY(Double positionY) {
        this.positionY = positionY;
    }

    public void setMarkerId(Integer markerId) {
        this.markerId = markerId;
    }

    public Integer getGroupNumber() {
        return groupNumber;
    }

    public void setGroupNumber(Integer groupNumber) {
        this.groupNumber = groupNumber;
    }

    public Integer getStudentId() {
        return studentId;
    }

    public void setStudentId(Integer studentId) {
        this.studentId = studentId;
    }

    public Integer getMarkerId() {
        return markerId;
    }

    public Integer getExamId() {
        return examId;
    }

    public void setExamId(Integer examId) {
        this.examId = examId;
    }

    public String getSubjectCode() {
        return subjectCode;
    }

    public void setSubjectCode(String subjectCode) {
        this.subjectCode = subjectCode;
    }

    public Integer getOffsetIndex() {
        return offsetIndex;
    }

    public void setOffsetIndex(Integer offsetIndex) {
        this.offsetIndex = offsetIndex;
    }

    public Integer getOffsetX() {
        return offsetX;
    }

    public void setOffsetX(Integer offsetX) {
        this.offsetX = offsetX;
    }

    public Integer getOffsetY() {
        return offsetY;
    }

    public void setOffsetY(Integer offsetY) {
        this.offsetY = offsetY;
    }

    public boolean isUnanswered() {
        return unanswered;
    }

    public void setUnanswered(boolean unanswered) {
        this.unanswered = unanswered;
    }

}
